#ifndef __HIK_ENCRYPT__
#define __HIK_ENCRYPT__

#ifdef __cplusplus
		extern "C"{
#endif

int	 Decrypt_V16(char *pInput, int iInputLen, char *pOutput, int iOutputMaxLen, int *iOutputLen);
int  Encrypt_V16(char *pInput, int iInputMaxLen, int iInputLen, char *pOutput, int iOutputMaxLen, int *iOutputLen);
void Encrypt_V12(char *in, char *out, int nLen);

#ifdef __cplusplus
		}
#endif

#endif
